Bug 1025219 - QMP: DEVICE_TRAY_MOVED with tray-open=true is emitted twice on floppy change
QMP: DEVICE_TRAY_MOVED with tray-open=true is emitted twice on floppy change
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On: 953070
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 05:37 EDT by Sibiao Luo
Modified: 2015-12-04 14:49 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 953070
Environment:
Last Closed: 2015-12-04 14:49:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Sibiao Luo 2013-10-31 05:40:35 EDT
host info:
# uname -r && rpm -q qemu-kvm
2.6.32-425.el6.x86_64
qemu-kvm-0.12.1.2-2.415.el6.x86_64

e.g:...-drive file=/home/floopy1.vfd,if=none,id=drive-fdc0-0-0,readonly=on,format=raw -global isa-fdc.driveA=drive-fdc0-0-0

If eject the floppy and then change it without any problem.
->{"execute":"eject","arguments":{"device":"drive-fdc0-0-0","force":true}}
{"timestamp": {"seconds": 1383211608, "microseconds": 250781}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"return": {}}
->{"execute":"change","arguments":{"device":"drive-fdc0-0-0","target":"/home/floopy1.vfd"}}
{"timestamp": {"seconds": 1383211639, "microseconds": 472139}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"timestamp": {"seconds": 1383211639, "microseconds": 472330}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": false}}
{"return": {}}

But uf change the floppy directly, DEVICE_TRAY_MOVED with tray-open=true is emitted twice on floppy change.
->{"execute":"change","arguments":{"device":"drive-fdc0-0-0","target":"/home/floopy2.vfd"}}
{"timestamp": {"seconds": 1383212008, "microseconds": 942883}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"timestamp": {"seconds": 1383212008, "microseconds": 943886}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"timestamp": {"seconds": 1383212008, "microseconds": 944073}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": false}}
{"return": {}}

Best Regards,
sluo
Comment 2 RHEL Product and Program Management 2013-11-03 05:04:59 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Sibiao Luo 2013-11-07 04:50:54 EST
(In reply to Sibiao Luo from comment #1)
> host info:
> # uname -r && rpm -q qemu-kvm
> 2.6.32-425.el6.x86_64
> qemu-kvm-0.12.1.2-2.415.el6.x86_64
> 
> e.g:...-drive
> file=/home/floopy1.vfd,if=none,id=drive-fdc0-0-0,readonly=on,format=raw
> -global isa-fdc.driveA=drive-fdc0-0-0
> 
> If eject the floppy and then change it without any problem.
here has a mistake, the DEVICE_TRAY_MOVED with tray-open=true is emitted twice.
> ->{"execute":"eject","arguments":{"device":"drive-fdc0-0-0","force":true}}
> {"timestamp": {"seconds": 1383211608, "microseconds": 250781}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
  first.
> {"return": {}}
> ->{"execute":"change","arguments":{"device":"drive-fdc0-0-0","target":"/home/
> floopy1.vfd"}}
> {"timestamp": {"seconds": 1383211639, "microseconds": 472139}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
  second.
> {"timestamp": {"seconds": 1383211639, "microseconds": 472330}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open":
> false}}
> {"return": {}}
> 
> But uf change the floppy directly, DEVICE_TRAY_MOVED with tray-open=true is
> emitted twice on floppy change.
> ->{"execute":"change","arguments":{"device":"drive-fdc0-0-0","target":"/home/
> floopy2.vfd"}}
> {"timestamp": {"seconds": 1383212008, "microseconds": 942883}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
  first.
> {"timestamp": {"seconds": 1383212008, "microseconds": 943886}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
  second.
> {"timestamp": {"seconds": 1383212008, "microseconds": 944073}, "event":
> "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open":
> false}}
> {"return": {}}
> 
> Best Regards,
> sluo
Comment 8 Cole Robinson 2015-12-04 14:49:23 EST
This was closed as WONTFIX for RHEL7:

https://bugzilla.redhat.com/show_bug.cgi?id=953070#c4

So it doesn't make sense to track fixing in RHEL6 given this isn't really affecting users

Note You need to log in before you can comment on or make changes to this bug.